Bug 798860 - $'' syntax support in dash
$'' syntax support in dash
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dash (Show other bugs)
All Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Šabata
BaseOS QE - Apps
Depends On:
Blocks: 947781 1159824
  Show dependency treegraph
Reported: 2012-03-01 00:48 EST by Aleksandar Kostadinov
Modified: 2015-11-10 06:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-15 12:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksandar Kostadinov 2012-03-01 00:48:49 EST
POSIX will be standardizing $'' in the future

Implementing this in dash would simplify many commonly done tasks in shell scripts. RHEL init scripts will be able to benefit from it.
Comment 2 RHEL Product and Program Management 2012-09-07 01:29:19 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.